# Fonctionnalités nécessaires au projet

## Langage orienté objet

Utilisation de Java avec Spring Boot 
Spring Boot intègre Maven ou Gradle pour la gestion des dépendances et les tests unitaires.
Il permet aussi de faire une API.

### Frontend
- Librairie pour les graphiques : [lightweight-charts](https://tradingview.github.io/lightweight-charts/docs)

### API
#### API de récupération des données de cryptomonnaie

##### Binance

Interval de 1 seconde min
Retourne au maximum 1000 données (candles) par requête

``` bash
curl "https://api4.binance.com/api/v3/klines?symbol=BTCUSDT&interval=1s&startTime=1572331210"
```

récupération des données : 1min12


##### HitBTC

Interval de 1 minute min
Retourne au maximum 1000 données (candles) par requête
  
``` bash
curl "https://api.hitbtc.com/api/3/public/price/history?from=BTC&to=USDT&since=2019-01-01T00:00:00Z&until=2024-11-06T00:00:00Z&period=M1&limit=1000"
```

##### Kraken

Interval de 1 minute min
Retourne les 720 données les plus récentes
  
``` bash
curl -L 'https://api.kraken.com/0/public/OHLC?pair=BTCUSD&interval=1&since=1572331210' -H 'Accept: application/json'
```

##### CryptoCompare

Interval de 1 minute min
Retourne au maximum 2000 données
  
``` bash
curl -L 'https://min-api.cryptocompare.com/data/v2/histominute?fsym=BTC&tsym=USD&limit=2000' -H 'authorization: Apikey '
```

##### Poloniex

Interval de 1 minute min
Retourne au maximum 500 données

``` bash
curl -L 'https://api.poloniex.com/markets/BTC_USDT/candles?interval=MINUTE_1&limit=500&startTime=15723312100'
```

##### Crypto.com

Interval de 1 minute min
Retourne au maximum 300 données

``` bash
curl -L 'https://api.crypto.com/exchange/v1/public/get-candlestick?instrument_name=BTCUSD-PERP&timeframe=M1&count=2000'
```

### Backend
- Calcul des gains/pertes, nombre d'ordres gagnants/perdants
- Réimplémenter tous les indicateurs
- Réimplémenter la simulation
- Réimplémenter la gestion de la base de données


### Structure

Indicateur = interface :
- acheter
- vendre
- ne rien faire

Un indicateur peut être une combinaison d'indicateurs -> liste d'indicateurs dans la classe

Les différents indicateurs sont des classes qui implémentent l'interface indicateur




