package com.example.testapi.model;

import java.time.LocalDate;
import java.time.ZoneId;

public class DateRange {
    private String startDate;
    private String endDate;

    public DateRange(String startDate, String endDate) {
        this.startDate = startDate;
        this.endDate = endDate;
    }

    public String getStartDate() {
        return startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public long getTimestampStartDate() {
        return this.dateToTimestamp(this.startDate);
    }

    public long getTimestampEndDate() {
        return this.dateToTimestamp(this.endDate);
    }

    public long getTimestampEndDateInSeconds() {
        return this.dateToTimestampInSec(this.endDate);
    }

    private long dateToTimestamp(String date) {
        LocalDate localDate = LocalDate.parse(date);
        return localDate.atStartOfDay(ZoneId.systemDefault()).toInstant().toEpochMilli();
    }

    private long dateToTimestampInSec(String date) {
        return this.dateToTimestamp(date) / 1000;
    }

}
