import { displayChart, displayPriceChart } from "./graph.js";

const BASE_URL = "http://localhost:8080/";
const API_URL = BASE_URL + "api";

export function callApi(route, method = "GET", data = null)
{
    let options = {
        method: method,
        headers: {
            "Accept": "application/json",
            "Content-Type": "application/json",
        }
    };
    if (method === "POST" && data) {
        options.body = JSON.stringify(data);
    }
    console.log("fetching data ...");
    return fetch(API_URL + route, options)
      .then(result => result.json())
      .then(data => {
        switch (route) {
            case "/btcusdt":
                console.log("Bougies récupérées");
                displayChart(data);
                break;
            case "/prices":
    
                console.log("Prix récupérés");
                displayPriceChart(data);
                break;

            case "/sendDates":
                console.log("Data sent successfully");
                window.location.href = BASE_URL + "candlesGraph";
                break;
            default:
                console.log("Unknown route: " + API_URL + route);
                break;
        }
    })
    .catch(error => {
        console.error("Une erreur est survenue :", error);
    });
}


