import { CandlestickSeries, createChart, AreaSeries } from '../node_modules/lightweight-charts/dist/lightweight-charts.development.mjs';
import { callApi } from './api.js';


window.onload = async function() {
    await callApi("/btcusdt");
    await callApi("/prices");
};

export function displayChart(data) {
    const chartOptions = { 
        // width: 800,
        // height: 400,
        layout: { textColor: 'black', background: { type: 'solid', color: 'white' } } };
    const chart = createChart(document.getElementById('candlesChart'), chartOptions);
    const candlestickSeries = chart.addSeries(CandlestickSeries, {
        upColor: '#26a69a', downColor: '#ef5350', borderVisible: true,
        wickUpColor: '#26a69a', wickDownColor: '#ef5350',
    });
    console.log(data);
    candlestickSeries.setData(data);
    chart.timeScale().applyOptions({
        timeVisible: true,
        secondsVisible: true,
        fixLeftEdge: true,
        fixRightEdge: true,
    });
    chart.timeScale().fitContent();
}

export function displayPriceChart(data) {
    const chartOptions = { layout: { textColor: 'black', background: { type: 'solid', color: 'white' } } };
    const chart = createChart(document.getElementById('priceChart'), chartOptions);
    const areaSeries = chart.addSeries(AreaSeries, {
        upColor: '#26a69a', downColor: '#ef5350', borderVisible: false,
        wickUpColor: '#26a69a', wickDownColor: '#ef5350',
    });
    areaSeries.setData(data);
    chart.timeScale().applyOptions({
        timeVisible: true,
        secondsVisible: true,
        fixLeftEdge: true,
        fixRightEdge: true,
    });
    chart.timeScale().fitContent();
}

function initChart() {
    const chartOptions = {
        // width: 800,
        // height: 400,
        layout: { textColor: 'black', background: { type: 'solid', color: 'white' } } };
    chart = createChart(document.getElementById('container'), chartOptions);
}
